Summary: An X Window System tool for drawing basic vector graphics.
Name: xfig
Version: 3.2.2
Release: 5
Copyright: Freeware
Group: Applications/Multimedia
Source: ftp://ftp.x.org/contrib/applications/drawing_tools/xfig/xfig.%{PACKAGE_VERSION}.tar.gz
Patch0: xfig-%{PACKAGE_VERSION}-config.patch
Patch1: xfig.3.2.2-vararg.patch
Requires: transfig >= 3.2.1
Buildroot: /var/tmp/%{name}-root

%description
Xfig is an X Window System tool for creating basic vector graphics,
including bezier curves, lines, rulers and more.  The resulting graphics
can be saved, printed on PostScript printers or converted to a variety of
other formats (e.g., X11 bitmaps, Encapsulated PostScript, LaTeX).

You should install xfig if you need a simple program to create vector
graphics.

%prep
%setup -q -n xfig.%{PACKAGE_VERSION}
%patch0 -p1 -b .config
%patch1 -p1

%build
xmkmf
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
make DESTDIR=$RPM_BUILD_ROOT install install.man

cat > $RPM_BUILD_ROOT/etc/X11/wmconfig/xfig <<EOF
xfig name "xfig"
xfig description "Drawing Tool"
xfig group Graphics
xfig exec "xfig &"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/xfig/*
/usr/X11R6/man/*/*

%config /usr/X11R6/lib/X11/app-defaults/*
%config /etc/X11/wmconfig/xfig

%changelog
* Fri Mar 26 1999 Michael Maher <mike@redhat.com>
- added files that were missing. 

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)
- varargs fix

* Thu Feb 18 1999 Jeff Johnson <jbj@redhat.com>
- correct DESTDIRR typo (#962)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue Jul  7 1998 Jeff Johnson <jbj@redhat.com>
- updated to 3.2.2.

* Wed Jun 10 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- updated for manhattan
- buildroot

* Thu Oct 23 1997 Marc Ewing <marc@redhat.com>
- new version
- messed with config for 5.0
- updated Requires and Copyright
- added wmconfig

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
